## python-streamz 0.5.5

=== requirements.txt ===
tornado
toolz
zict
six

=== debian/changelog ===
python-streamz (0.5.5-1) unstable; urgency=medium

  * New upstream version 0.5.5
  * Add Testsuite

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 14 Aug 2020 17:10:41 +0530

python-streamz (0.5.4-2) unstable; urgency=medium

  * Fix package name (fixes debci)
  * Fix shebang

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 16 Jul 2020 23:43:40 +0530

python-streamz (0.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: python3-flaky <!nocheck>

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jul 2020 15:53:45 +0200

python-streamz (0.5.3-1) unstable; urgency=medium

  * Initial release (Closes: #962941)

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 15 Jun 2020 22:33:40 +0530

=== debian/control ===
Source: python-streamz
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Nilesh Patra <npatra974@gmail.com>
Testsuite: autopkgtest-pkg-python
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-six,
               python3-toolz,
               python3-tornado,
               python3-pytest,
               python3-requests,
               python3-dask,
               python3-distributed,
               python3-numpy,
               python3-pandas,
               python3-flaky <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/python-streamz
Vcs-Git: https://salsa.debian.org/med-team/python-streamz.git
Homepage: https://github.com/python-streamz/streamz/
Rules-Requires-Root: no

Package: python3-streamz
Architecture: all
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-six,
         python3-toolz,
         python3-tornado,
         python3-dask,
         python3-distributed,
         python3-numpy,
         python3-pandas
Description: build pipelines to manage continuous streams of data
 It is simple to use in simple cases, but also supports complex pipelines that
 involve branching, joining, flow control, feedback, back pressure, and so on.
 Optionally, Streamz can also work with both Pandas and cuDF dataframes,
 to provide sensible streaming operations on continuous tabular data.

## python-streamz 0.6.2

=== requirements.txt ===
tornado
toolz
zict
six
setuptools

=== debian/changelog ===
python-streamz (0.6.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 18 Jan 2021 19:49:12 +0530

python-streamz (0.6.1-1) unstable; urgency=medium

  * New upstream version (Closes: #973178)

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 03 Nov 2020 23:40:42 +0530

python-streamz (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 28 Sep 2020 18:51:44 +0530

python-streamz (0.5.6-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 11 Sep 2020 18:57:58 +0530

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-numpy,
                python3-pandas,
                python3-flaky <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-streamz
 Vcs-Git: https://salsa.debian.org/med-team/python-streamz.git
 Homepage: https://github.com/python-streamz/streamz/

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export PYBUILD_NAME = streamz
# FIXME: Disable this tests for now. Forwarded upstream: https://github.com/python-streamz/streamz/issues/372
export PYBUILD_BEFORE_TEST=rm {build_dir}/streamz/tests/test_dask.py

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	# Remove this since it seems to override dask-worker-space files
	find debian/ -name 'dask-worker-space' | xargs rm -rf

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_installexamples:
	sed -i 's/ \/usr\/env python/\/usr\/bin\/python3/' examples/network_wordcount.py
	dh_installexamples

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/python-streamz/streamz//releases .*/archive/v?@ANY_VERSION@\.tar\.gz

## python-streamz 0.6.3

=== debian/changelog ===
python-streamz (0.6.3-2) unstable; urgency=medium

  * Team upload.
  * Move package to Debian Python Team
  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jan 2022 18:36:24 +0100

python-streamz (0.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Full test suite seems to work now

 -- Andreas Tille <tille@debian.org>  Mon, 11 Oct 2021 11:22:49 +0200

python-streamz (0.6.2-2) UNRELEASED; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github

 -- Andreas Tille <tille@debian.org>  Mon, 11 Oct 2021 10:59:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: python-streamz
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Nilesh Patra <npatra974@gmail.com>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Nilesh Patra <nilesh@debian.org>
 Testsuite: autopkgtest-pkg-python
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -17,10 +17,11 @@
                python3-distributed,
                python3-numpy,
                python3-pandas,
-               python3-flaky <!nocheck>
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/med-team/python-streamz
-Vcs-Git: https://salsa.debian.org/med-team/python-streamz.git
+               python3-flaky <!nocheck>,
+               debhelper
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-streamz
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-streamz.git
 Homepage: https://github.com/python-streamz/streamz/
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 # DH_VERBOSE := 1
 
 export PYBUILD_NAME = streamz
-# FIXME: Disable this tests for now. Forwarded upstream: https://github.com/python-streamz/streamz/issues/372
-export PYBUILD_BEFORE_TEST=rm {build_dir}/streamz/tests/test_dask.py
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## python-streamz 0.6.4

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Streams
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-streamz (0.6.4-4) unstable; urgency=medium

  * Team Upload.
  * Add upstream patch to remove pkg_resources (Closes: #1083714)
  * Drop myself from uploaders
  * Move d/watch to version 5
  * Fix shebang via patch instead of hand-crafting it in d/rules
    (Closes: #1046218)
  * d/clean: Cleanup egg info

 -- Nilesh Patra <nilesh@debian.org>  Sun, 02 Nov 2025 13:33:50 +0530

python-streamz (0.6.4-3) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-six

 -- Alexandre Detiste <tchet@debian.org>  Wed, 08 Oct 2025 07:26:36 +0200

python-streamz (0.6.4-2) unstable; urgency=medium

  * Fixup build-time tests (Closes: #1066737)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 15 Mar 2024 03:06:21 +0530

python-streamz (0.6.4-1) unstable; urgency=medium

  * New upstream version 0.6.4
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Drop dask update patch merged upstream.
  * Cherry upstream fixes as ci-fixes.patch (Closes: #1031223)
  * Simplify d/rules
  * Run autopkgtest for default pyvers

 -- Nilesh Patra <nilesh@debian.org>  Fri, 17 Feb 2023 00:14:42 +0530

python-streamz (0.6.3-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with new distributed (Closes: #1008452)
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 11 Jul 2022 12:07:21 +0530

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,11 @@
 Section: science
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Nilesh Patra <nilesh@debian.org>
 Testsuite: autopkgtest-pkg-python
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
-               python3-six,
                python3-toolz,
                python3-tornado,
                python3-pytest,
@@ -18,12 +16,10 @@
                python3-numpy,
                python3-pandas,
                python3-flaky <!nocheck>,
-               debhelper
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-streamz
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-streamz.git
 Homepage: https://github.com/python-streamz/streamz/
-Rules-Requires-Root: no
 
 Package: python3-streamz
 Architecture: all
@@ -31,7 +27,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
-         python3-six,
          python3-toolz,
          python3-tornado,
          python3-dask,

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export PYBUILD_NAME = streamz
export PYBUILD_TEST_ARGS={dir}/streamz/tests/

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	# Remove this since it seems to override dask-worker-space files
	find debian/ -name 'dask-worker-space' | xargs rm -rf

=== debian/watch ===
Version: 5

Template: Github
Owner: python-streamz
Project: streamz

## python-streamz 0.6.5

=== requirements.txt ===
tornado
toolz
zict
setuptools

=== debian/changelog ===
python-streamz (0.6.5-2) unstable; urgency=medium

  * Team upload.
  * Drop now extraneous "Priority: optional" tag
  * Switch to pybuild-plugin-pyproject
  * Add a patch not to generate a runtime dependency on python3-setuptools
  * Disable useless Salsa CI jobs

  [ Colin Watson ]
  * Revert "Run dataframe tests too"; these fail on i386.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 25 Jan 2026 16:25:49 +0100

python-streamz (0.6.5-1) unstable; urgency=medium

  * Team upload.

  [ Aryan Karamtoth ]
  * Added myself to uploaders (Closes: #1119905)
  * Updated copyright years
  * New upstream release 0.6.5:
    - Fix tests with pytest 9 (closes: #1123316)
  * Bump Standards-Version to 4.7.3

  [ Colin Watson ]
  * Run dataframe tests too.

 -- Colin Watson <cjwatson@debian.org>  Tue, 06 Jan 2026 13:24:27 +0000

=== debian/control ===
Source: python-streamz
Section: science
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Aryan Karamtoth <spaciouscoder78@disroot.org>,
Testsuite: autopkgtest-pkg-python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-dask,
 python3-distributed,
 python3-flaky <!nocheck>,
 python3-numpy,
 python3-pandas,
 python3-pytest,
 python3-pytest-asyncio,
 python3-requests,
 python3-setuptools,
 python3-toolz,
 python3-tornado,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-streamz
Vcs-Git: https://salsa.debian.org/python-team/packages/python-streamz.git
Homepage: https://github.com/python-streamz/streamz/

Package: python3-streamz
Architecture: all
Section: python
Depends:
 python3-dask,
 python3-distributed,
 python3-numpy,
 python3-pandas,
 python3-toolz,
 python3-tornado,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: build pipelines to manage continuous streams of data
 It is simple to use in simple cases, but also supports complex pipelines that
 involve branching, joining, flow control, feedback, back pressure, and so on.
 Optionally, Streamz can also work with both Pandas and cuDF dataframes,
 to provide sensible streaming operations on continuous tabular data.

=== debian/tests/control ===
Tests:
 run-unit-test,
Depends:
 python3,
 python3-pytest,
 @,
Restrictions:
 allow-stderr,
